# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(FileHandle.pm) perl(Unicode/Map8.pm) perl(Unicode/String.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Lingua-DetectCyrillic
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: perl module %module_name
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/R/RU/RUDENKO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This package permits to detect automatically all live Cyrillic codings -.
windows-1251, koi8-r,
koi8-u, iso-8859-5,
utf-8, cp866,
x-mac-cyrillic, as well
as the language - Russian or Ukrainian. It applies 3 algorithms for
detection:
formal analysis of alphabet hits,
frequency analysis of words and frequency analysis of 2-letter combinations.

It also provides routines for conversion between different codings of Cyrillic
texts which can be imported if necessary.

The package permits to detect coding with one or two words only. Certainly,
in case of one word reliability will be low, especially if you wrote the words
for testing completely in lower or uppercase, as capitalization is a very
important attribute for coding detection. Nethertheless the package correctly
recognizes coding in a message containing one single word, even all lowercase -
'privet' ('hello' in Russian), 'ivan', 'vodka', 'sputnik'. ;-)))

Ukrainian language will be specified only if the text contains specific
Ukrainian letters.

Performance is good as the analysis passes two stages: on the first
only formal and fast analysis of proper capitalization and alphabet hit
is carried out and only if these data are not enough, the input is analyzed
second time - on frequency dictionaries.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README docs examples
%perl_vendor_privlib/L*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

